{% extends 'base.html' %}
{% load static %}

{% block title %}Авторизация{% endblock title %}

{% block main %}
    <section class="sign-in-page">
        <div class="container sign-in-page-bg mt-5 p-0">
            <div class="row no-gutters">
                <div class="col-md-6 text-center">
                    <div class="sign-in-detail text-white">
                        <a class="sign-in-logo mb-5" href="#"><img src="{% static 'images/logo.svg' %}" class="img-fluid" alt="logo"></a>
                        <div class="owl-carousel" data-autoplay="true" data-loop="true" data-nav="false" data-dots="true" data-items="1" data-items-laptop="1" data-items-tab="1" data-items-mobile="1" data-items-mobile-sm="1" data-margin="0">
                            <div class="item">
                                <img src="{% static 'images/login/1.png' %}" class="img-fluid mb-4" alt="logo">
                                <h4 class="mb-1 text-white">Manage your orders</h4>
                                <p>It is a long established fact that a reader will be distracted by the readable content.</p>
                            </div>
                            <div class="item">
                                <img src="{% static 'images/login/2.png' %}" class="img-fluid mb-4" alt="logo">
                                <h4 class="mb-1 text-white">Manage your orders</h4>
                                <p>It is a long established fact that a reader will be distracted by the readable content.</p>
                            </div>
                            <div class="item">
                                <img src="{% static 'images/login/3.png' %}" class="img-fluid mb-4" alt="logo">
                                <h4 class="mb-1 text-white">Manage your orders</h4>
                                <p>It is a long established fact that a reader will be distracted by the readable content.</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 position-relative">
                    <div class="sign-in-from">
                        <h1 class="mb-0">Авторизация</h1>
                        <p>Введите логин и пароль для доступа в панель администратора.</p>
                        {% if form.errors %}
                            <p>Логин и пароль не найден. Пожалуйста, попробуйте еще раз.</p>
                        {% endif %}
                        <form class="mt-4" method="post" action="{% url 'login' %}">
                            {% csrf_token %}
                            <div class="form-group">
                                {{ form.username.label_tag }}
                                <input type="text" class="form-control mb-0" id="id_username" name="username" placeholder="">
                            </div>
                            <div class="form-group">
                                {{ form.password.label_tag }}
                                <a href="{% url 'password_reset' %}" class="float-right">Забыли пароль?</a>
                                <input type="password" class="form-control mb-0" id="id_password" name="password" placeholder="">
                            </div>
                            <div class="d-inline-block w-100">
                                <div class="custom-control custom-checkbox d-inline-block mt-2 pt-1">
                                    <input type="checkbox" class="custom-control-input" id="customCheck1">
                                    <label class="custom-control-label" for="customCheck1">Запомнить меня</label>
                                </div>
                                <button type="submit" class="btn btn-primary float-right">Авторизоваться</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock main %}